Qiime2-Reader v0.10.1 Perl 5 v5.20.1 amd64-freebsd-ld

Status
Fail
From
Slaven Rezić (SREZIC)
Dist
Qiime2-Reader v0.10.1
Platform
Perl 5 v5.20.1 amd64-freebsd-ld
Date
2020-01-23T18:29:46
ID
55412b9c-3e0e-11ea-b881-2d151f24ea8f
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Andrea Telatin,

This is a computer-generated report for Qiime2-Reader-0.10.1
on perl 5.20.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, there was a problem
testing your distribution.

If you think this report is invalid, please consult the CPAN Testers Wiki
for suggestions on how to avoid getting FAIL reports for missing library
or binary dependencies, unsupported operating systems, and so on:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

none provided

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/usr/perl5.20.1Dp/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/10_basic_test.t ................. ok
 [Qiime2::Reader ERROR]
 UnZip not found as <unzip>.
 ------------------------------------------------------------
 at /home/cpansand/.cpan/build/2020012316/Qiime2-Reader-0.10.1-9u_FBB/blib/lib/Qiime2/Artifact.pm line 257.
	Qiime2::Artifact::crash("UnZip not found as <unzip>.") called at /home/cpansand/.cpan/build/2020012316/Qiime2-Reader-0.10.1-9u_FBB/blib/lib/Qiime2/Artifact.pm line 29
	Qiime2::Artifact::new("Qiime2::Artifact", HASH(0x41c3a438)) called at t/11_load.t line 15
t/11_load.t ....................... 
Dubious, test returned 1 (wstat 256, 0x100)
No subtests run 
Not a valid artifact /home/cpansand/.cpan/build/2020012316/Qiime2-Reader-0.10.1-9u_FBB/t/../data/bad_artifact.zip:
 [Qiime2::Reader ERROR]
 UnZip not found as <unzip>.
 ------------------------------------------------------------
t/11_not_a_valid_artifact.t ....... ok
Raise exception:
 [Qiime2::Reader ERROR]
 UnZip not found as <unzip>.
 ------------------------------------------------------------
t/11_not_a_zip.t .................. ok
Not a valid artifact /home/cpansand/.cpan/build/2020012316/Qiime2-Reader-0.10.1-9u_FBB/t/../data/non_artifact.zip:
 [Qiime2::Reader ERROR]
 UnZip not found as <unzip>.
 ------------------------------------------------------------
t/11_not_an_artifact.t ............ ok
t/release-00-pod.t ................ skipped: these tests are for release candidate testing
t/release-03-minimum-standards.t .. skipped: these tests are for release candidate testing
t/release-05-changes.t ............ skipped: these tests are for release candidate testing

Test Summary Report
-------------------
t/11_load.t                     (Wstat: 256 Tests: 0 Failed: 0)
  Non-zero exit status: 1
  Parse errors: No plan found in TAP output
Files=8, Tests=4,  1 wallclock secs ( 0.01 usr  0.02 sys +  0.07 cusr  0.35 csys =  0.45 CPU)
Result: FAIL
Failed 1/8 test programs. 0/4 subtests failed.
*** Error code 255

Stop.
make: stopped in /home/cpansand/.cpan/build/2020012316/Qiime2-Reader-0.10.1-9u_FBB

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module              Need  Have    
    ------------------- ----- --------
    Capture::Tiny       0.48  0.48    
    Carp                1.2   1.3301  
    Data::Dumper        2.1   2.151   
    FindBin             1.3   1.51    
    perl                5.018 5.020001
    YAML::PP            0.018 0.018   

build_requires:

    Module              Need  Have    
    ------------------- ----- --------
    ExtUtils::MakeMaker 0     7.04    

configure_requires:

    Module              Need  Have    
    ------------------- ----- --------
    Devel::CheckBin     0     0.02    
    ExtUtils::MakeMaker 0     7.04    


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    LC_ALL = de_DE.ISO8859-1
    PATH = /usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cpansand/bin/freebsd10.3:/home/cpansand/bin/sh:/home/cpansand/bin:/usr/games:/home/cpansand/devel:/home/eserte/src/srezic-misc/scripts
    PERL5LIB = /home/cpansand/.cpan/build/2020012316/Capture-Tiny-0.48-F2vETO/blib/arch:/home/cpansand/.cpan/build/2020012316/Capture-Tiny-0.48-F2vETO/blib/lib:/home/cpansand/.cpan/build/2020012316/YAML-PP-0.018-SPnlBa/blib/arch:/home/cpansand/.cpan/build/2020012316/YAML-PP-0.018-SPnlBa/blib/lib
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 66670
    PERL5_CPAN_IS_RUNNING = 66670
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 66537,66670
    PERLDOC = -MPod::Perldoc::ToTextOverstrike
    PERL_BATCH = yes
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_CPAN_REPORTER_CONFIG = /var/tmp/cpansmoker-1023/2020012316/cpanreporter_000_config.ini
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    SHELL = /usr/local/bin/zsh
    TERM = screen
    TMPDIR = /var/tmp/cpansmoker-1023/2020012316

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /usr/perl5.20.1Dp/bin/perl
    $UID/$EUID = 1023 / 1023
    $GID = 1023 1023
    $EGID = 1023 1023

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.05    
    CPAN::Meta          2.143240
    Cwd                 3.48    
    ExtUtils::CBuilder  0.280217
    ExtUtils::Command   1.18    
    ExtUtils::Install   1.67    
    ExtUtils::MakeMaker 7.04    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.24    
    File::Spec          3.48    
    JSON                2.90    
    JSON::PP            2.27400 
    Module::Build       0.4211  
    Module::Signature   n/a     
    Parse::CPAN::Meta   1.4422  
    Test::Harness       3.30    
    Test::More          1.001014
    YAML                1.14    
    YAML::Syck          1.29    
    version             0.9909  


--

Summary of my perl5 (revision 5 version 20 subversion 1) configuration:
   
  Platform:
    osname=freebsd, osvers=10.1-release, archname=amd64-freebsd-ld
    uname='freebsd cvrsnica-freebsd-101.herceg.de 10.1-release freebsd 10.1-release #0 r274401: tue nov 11 21:02:49 utc 2014 root@releng1.nyi.freebsd.org:usrobjusrsrcsysgeneric amd64 '
    config_args='-ds -e -Dprefix=/usr/perl5.20.1Dp -Duselongdouble'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    use64bitint=define, use64bitall=define, uselongdouble=define
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include',
    optimize='-O',
    cppflags='-DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include'
    ccversion='', gccversion='4.2.1 Compatible FreeBSD Clang 3.4.1 (tags/RELEASE_34/dot1-final 208032)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
    ivtype='long', ivsize=8, nvtype='long double', nvsize=16, Off_t='off_t', lseeksize=8
    alignbytes=16, prototype=define
  Linker and Libraries:
    ld='cc', ldflags ='-pthread -Wl,-E  -fstack-protector -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib /usr/include/clang/3.4.1 /usr/lib
    libs=-lgdbm -lm -lcrypt -lutil -lc
    perllibs=-lm -lcrypt -lutil -lc
    libc=, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags='-DPIC -fPIC', lddlflags='-shared  -L/usr/local/lib -fstack-protector'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP
                        PERL_NEW_COPY_ON_WRITE PERL_PRESERVE_IVUV
                        USE_64_BIT_ALL USE_64_BIT_INT USE_LARGE_FILES
                        USE_LOCALE USE_LOCALE_COLLATE USE_LOCALE_CTYPE
                        USE_LOCALE_NUMERIC USE_LONG_DOUBLE USE_PERLIO
                        USE_PERL_ATOF
  Built under freebsd
  Compiled at Feb 13 2015 08:17:27
  %ENV:
    PERL5LIB="/home/cpansand/.cpan/build/2020012316/Capture-Tiny-0.48-F2vETO/blib/arch:/home/cpansand/.cpan/build/2020012316/Capture-Tiny-0.48-F2vETO/blib/lib:/home/cpansand/.cpan/build/2020012316/YAML-PP-0.018-SPnlBa/blib/arch:/home/cpansand/.cpan/build/2020012316/YAML-PP-0.018-SPnlBa/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="66670"
    PERL5_CPAN_IS_RUNNING="66670"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="66537,66670"
    PERLDOC="-MPod::Perldoc::ToTextOverstrike"
    PERL_BATCH="yes"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_CPAN_REPORTER_CONFIG="/var/tmp/cpansmoker-1023/2020012316/cpanreporter_000_config.ini"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
  @INC:
    /home/cpansand/.cpan/build/2020012316/Capture-Tiny-0.48-F2vETO/blib/arch
    /home/cpansand/.cpan/build/2020012316/Capture-Tiny-0.48-F2vETO/blib/lib
    /home/cpansand/.cpan/build/2020012316/YAML-PP-0.018-SPnlBa/blib/arch
    /home/cpansand/.cpan/build/2020012316/YAML-PP-0.018-SPnlBa/blib/lib
    /usr/perl5.20.1Dp/lib/site_perl/5.20.1/amd64-freebsd-ld
    /usr/perl5.20.1Dp/lib/site_perl/5.20.1
    /usr/perl5.20.1Dp/lib/5.20.1/amd64-freebsd-ld
    /usr/perl5.20.1Dp/lib/5.20.1
    .